
package de.ivu.elect.presentation.entschaedigung.menu;

import javax.inject.Inject;

import de.ivu.elect.business.entschaedigung.entity.EntschaedigungsartMeta;
import de.ivu.elect.jee.entity.Meta;
import de.ivu.elect.presentation.entschaedigung.exchange.EntschaedigungsartExportDescription;
import de.ivu.elect.presentation.exchange.ExportDescription;
import de.ivu.elect.presentation.exchange.menu.AbstractExportMenuItemEntry;

public class EntschaedigungsartExportMenuItemEntry extends AbstractExportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private EntschaedigungsartMeta entschaedigungsartMeta;

  @Inject
  private EntschaedigungsartExportDescription entschaedigungsartExportDescription;

  public EntschaedigungsartExportMenuItemEntry() {
    super();
  }

  @Override
  protected ExportDescription getExportDescription() {
    return entschaedigungsartExportDescription;
  }

  @Override
  protected boolean isDisabledInternal() {
    return !isWahlSelected() && !isWahlterminSelected();
  }

  @Override
  protected Meta getMeta() {
    return entschaedigungsartMeta;
  }
}
